////////////////////////////////////////////////////////////////////////////////
// This code is part of the MaiaProject free software
//
// Keyboard and Mouse Emulator - Virtual keyboard Engine
//
// Copyright (c) 2002-2003 Luca Clivio <luca.clivio@maiaproject.org>
// Tel. +39-347-2538040
// via B.Croce 2, 20037 Paderno Dugnano (Milano) - Italy
//
// Developers:
//    Simone Mangano <simone.mangano@maiaproject.org>
//    Andrea Tosato  <andrea.tosato@maiaproject.org>
//
//  -----------------------------------------------------------------------------
//  This program is free software; This program is free software; 
//  you can redistribute it and/or modify it under the terms of the 
//  GNU General Public License as published by the Free Software Foundation; 
//  either version 2 of the License, or	(at your option) any later version.
//  but WITHOUT ANY WARRANTY; without even the implied warranty of				
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the				
//  GNU General Public License for more details.						
//  You should have received a copy of the GNU General Public License				
//  along with this program; if not, write to the Free Software					
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.					
////////////////////////////////////////////////////////////////////////////////


// ------------------------------  classes that don't need omObject
// static functions
#include <openmaia/omFunctions.h>
// data
#include <openmaia/omXMLParameter.h>
#include <openmaia/omXMLParameters.h>
#include <openmaia/omTCPMessage.h>
// specific function classes
#include <openmaia/omARMA.h>
#include <openmaia/omSmsManager.h>

// graphic objects
#include <openmaia/omGetKeyDialog.h>
#include <openmaia/omDialog.h>

// ------------------------------------  classes that need omObject
#include <openmaia/omObject.h>

// xml parser
#include <openmaia/omXMLParser.h>

// message handling
#include <openmaia/omCommand.h>
#include <openmaia/omTCPParser.h>
#include <openmaia/omConnector.h>

// ------------------------------------  generic headers
#include <openmaia/omXMLTags.h>
#include <openmaia/omemukeys.h>


