////////////////////////////////////////////////////////////////////////////////
// This code is part of the MaiaProject free software
//
// Keyboard and Mouse Emulator - Virtual keyboard Engine
//
// Copyright (c) 2002-2003 Luca Clivio <luca.clivio@maiaproject.org>
// Tel. +39-347-2538040
// via B.Croce 2, 20037 Paderno Dugnano (Milano) - Italy
//
// Developers:
//    Simone Mangano <simone.mangano@maiaproject.org>
//    Andrea Tosato  <andrea.tosato@maiaproject.org>
//
//  -----------------------------------------------------------------------------
//  This program is free software; This program is free software; 
//  you can redistribute it and/or modify it under the terms of the 
//  GNU General Public License as published by the Free Software Foundation; 
//  either version 2 of the License, or	(at your option) any later version.
//  but WITHOUT ANY WARRANTY; without even the implied warranty of				
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the				
//  GNU General Public License for more details.						
//  You should have received a copy of the GNU General Public License				
//  along with this program; if not, write to the Free Software					
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.					
////////////////////////////////////////////////////////////////////////////////

#ifndef _OPENMAIACOMMON_
#define _OPENMAIACOMMON_


#define DEBUG 0

// ------------------- generic application constants --------
#define MAX_PATH_STRING 255
// time interval of push button simulation in milliseconds
#define PUSHBUTTONTIMEINTERVAL 150
#define FINDFOCUSDEFAULTICK 30


// ------------------- default maia options ------------------
#define DEFAULTSCANLOOPSNUMBER 2
/* #define RESUMEFROMFIRST 0 */
/* #define RESUMEFROMTHIS 1 */
/* #define RESUMEFROMNEXT 2 */
#define DEFAULTREVERSEDIRECTIONS false



// ------------------------- key simulations --------------------
#define MAXMAIACODES 1000 


#endif // _OPENMAIACOMMON_
