////////////////////////////////////////////////////////////////////////////////
// This code is part of the MaiaProject free software
//
// Keyboard and Mouse Emulator - Virtual keyboard Engine
//
// Copyright (c) 2002-2003 Luca Clivio <luca.clivio@maiaproject.org>
// Tel. +39-347-2538040
// via B.Croce 2, 20037 Paderno Dugnano (Milano) - Italy
//
// Developers:
//    Simone Mangano <simone.mangano@maiaproject.org>
//    Andrea Tosato  <andrea.tosato@maiaproject.org>
//
//  -----------------------------------------------------------------------------
//  This program is free software; This program is free software; 
//  you can redistribute it and/or modify it under the terms of the 
//  GNU General Public License as published by the Free Software Foundation; 
//  either version 2 of the License, or	(at your option) any later version.
//  but WITHOUT ANY WARRANTY; without even the implied warranty of				
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the				
//  GNU General Public License for more details.						
//  You should have received a copy of the GNU General Public License				
//  along with this program; if not, write to the Free Software					
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.					
////////////////////////////////////////////////////////////////////////////////

/** @defgroup smsedit MAIA SMS EDITOR*/



#ifndef __maiasmsedit_h__
#define __maiasmsedit_h__

class maiasmseditFrame;

#if defined(__GNUG__) && !defined(__APPLE__)
#pragma interface "maiasmsedit.cpp"
#endif

// Include wxWindows' headers



#ifndef WX_PRECOMP
#include <wx/wx.h>
#endif



#include <wx/toolbar.h>
#include <wx/log.h>
#include <wx/image.h>
#include <openmaia/libopenmaia.h>


//#include <wx/tbarsmpl.h>

#include "maiasmseditFrame.h"


// ----------------------------------------------------------------------------
// MyApp
// ----------------------------------------------------------------------------

// Define a new application
class maiasmseditMain : public wxApp
{
public:
  bool OnInit();
  wxString binPath, userDataPath, sharedPath;

};

DECLARE_APP(maiasmseditMain)
#endif



